#!/usr/pythoncontroller/python

from diskutil import *

def main():
	lookup=False
	parser = argparse.ArgumentParser()
	parser.add_argument('-n', dest='lookup', action='store_true',
		help='Don\'t do revers map for disks')

	args = parser.parse_args()
	if args.lookup:
		lookup=True

	config = parseCurrentConfig(nolookup=lookup)
	disks=config['disks']
	for id in range(len(disks)):
		print("%s" % (disks[id]))

	return 0

if __name__ == "__main__":
	sys.exit(main())
